### Function

# EDataServer uid_new

deprecated: 3.26

#### Declaration [src]

    gchar*
    e_uid_new (
      void
    )

#### Description [src]

Generate a new unique string for use e.g. in account lists.

Deprecated since: 3.26

Use `e_util_generate_uid()` instead.

#### Return value

Type: `gchar*`

The newly generated UID. The caller should free the string when it’s done with it.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.